rte_flow_action_prog(3)

NAME
rte_flow_action_prog

SYNOPSIS

#include <rte_flow.h>

  Data Fields

const char * name
uint32_t args_num
const struct rte_flow_action_prog_argument * args

Detailed Description

Warning
    EXPERIMENTAL: this structure may change without prior notice.

RTE_FLOW_ACTION_TYPE_PROG

Program action configuration parameters.

Each action can have zero or more arguments. When args_num is non-zero, the args parameter must point to a valid array of args_num elements.

See also
    RTE_FLOW_ACTION_TYPE_PROG

Definition at line 4233 of file rte_flow.h.

Field Documentation

  const char* name
Action name.

Definition at line 4235 of file rte_flow.h.

  uint32_t args_num
Number of action arguments.

Definition at line 4237 of file rte_flow.h.

  const struct rte_flow_action_prog_argument* args
Action arguments array.

Definition at line 4239 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.